> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects

> Lists all projects in your organization



## OpenAPI

````yaml get /projects
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: List
      description: Lists all projects in your organization
      operationId: projects#index
      parameters:
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
        - name: order[by]
          in: query
          schema:
            type: string
            enum:
              - name
              - created
          required: false
          description: This is used to order projects by type or key or value
        - name: order[dir]
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
          required: false
          description: This is used to order analytics in the ascending or descending order
        - name: filter[environment]
          in: query
          schema:
            type: string
            enum:
              - production
              - staging
          required: false
          description: filter by environment
        - name: filter[name]
          in: query
          required: false
          description: filter by name
          schema:
            type: string
        - name: filter[language.code]
          in: query
          required: false
          description: filter by language code
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/projectsExample'
              schema:
                $ref: '#/components/schemas/projectsModel'
          headers:
            X-Pagination-Limit:
              description: |-
                The requested number of results to be returned for this request.
                          The actual number of results returned may be lower.
              schema:
                type: integer
              required: false
            X-Pagination-OffSet:
              description: >-
                The position of the first result in the response (before
                pagination was applied).
              schema:
                type: integer
              required: false
            X-Pagination-Total-Count:
              description: >-
                The total number of results returned for this query (before
                pagination was applied).
              schema:
                type: integer
              required: false
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    projectsExample:
      summary: A sample list of projects
      value:
        - id: 1
          name: My project
          language: en_US
          auto_publish_enabled: true
          avatar_url: https://example.com/avatar.jpg
          environment: production
          created: 2022-01-02 23:59:59 UTC
          updated: 2022-03-04 00:00:00 UTC
        - id: 2
          name: My second project
          language: en_GB
          auto_publish_enabled: true
          avatar_url: https://example.com/avatar.jpg
          environment: production
          created: 2022-01-02 23:59:59 UTC
          updated: 2022-03-04 00:00:00 UTC
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    projectsModel:
      type: array
      items:
        $ref: '#/components/schemas/projectModel'
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    projectModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        name:
          type: string
          description: The project name
        language:
          type: string
          description: >-
            The default language of the project (ISO 639-1 code with optional
            region, e.g., en_GB)
          pattern: ^[a-z]{2}(_[A-Z]{2})?$
        language_data:
          type: object
          description: Additional language metadata for the project
        environment:
          type: string
          nullable: true
          enum:
            - production
            - staging
        logo_color:
          type: string
          nullable: true
        content_total_count:
          type: integer
        content_updated:
          type: string
          format: date-time
          nullable: true
        title:
          type: object
          properties:
            enabled:
              type: boolean
              nullable: false
              description: >-
                When true, include content titles in generated audio (default is
                true)
            voice:
              type: object
              nullable: true
              properties:
                id:
                  type: integer
                  description: The title voice id
                name:
                  type: string
                  description: The title voice name
                speaking_rate:
                  type: integer
                  description: The speaking rate of the voice
                multilingual_mode:
                  type: boolean
                expressiveness:
                  type: number
                  nullable: true
                use_speaker_boost:
                  type: boolean
                  nullable: true
                similarity_boost:
                  type: number
                  nullable: true
                style:
                  type: number
                  nullable: true
        summary:
          type: object
          nullable: true
          properties:
            enabled:
              type: boolean
              nullable: false
              description: When true, include summary audio (default is false)
            voice:
              type: object
              nullable: true
              properties:
                id:
                  type: integer
                  description: The summary voice id
                name:
                  type: string
                  description: The summary voice name
                speaking_rate:
                  type: integer
                  description: The speaking rate of the voice
                multilingual_mode:
                  type: boolean
                expressiveness:
                  type: number
                  nullable: true
                use_speaker_boost:
                  type: boolean
                  nullable: true
                similarity_boost:
                  type: number
                  nullable: true
                style:
                  type: number
                  nullable: true
        body:
          type: object
          properties:
            enabled:
              type: boolean
              nullable: false
              description: >-
                When true, include body text in generated audio (default is
                true)
            voice:
              type: object
              nullable: true
              properties:
                id:
                  type: integer
                  description: The body voice id
                name:
                  type: string
                  description: The body voice name
                speaking_rate:
                  type: integer
                  description: The speaking rate of the voice
                multilingual_mode:
                  type: boolean
                expressiveness:
                  type: number
                  nullable: true
                use_speaker_boost:
                  type: boolean
                  nullable: true
                similarity_boost:
                  type: number
                  nullable: true
                style:
                  type: number
                  nullable: true
        background_track:
          type: object
          nullable: true
          properties:
            enabled:
              type: boolean
              nullable: false
            track:
              type: object
              nullable: true
              properties:
                id:
                  type: integer
                name:
                  type: string
                custom:
                  type: boolean
                volume:
                  type: integer
                url:
                  type: string
                  format: uri
                  maxLength: 2048
        auto_publish_enabled:
          type: boolean
          description: >-
            When true, automatically distribute content once generated (default
            is true)
        auto_video_publish_enabled:
          type: boolean
          description: >-
            When true, automatically distribute video content once generated
            (default is true)
        time_zone:
          type: string
          description: The project time zone (IANA time zone name)
        avatar_url:
          type: string
          nullable: true
          description: The project's avatar URL
          format: uri
          maxLength: 2048
        pause_after_title_segments_seconds:
          type: number
          minimum: 0
          maximum: 3
        pause_after_segments_seconds:
          type: number
          minimum: 0
          maximum: 3
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````